org.apache.xmpbox.type

## Enum Types

- java.lang.Object
- - java.lang.Enum<Types>
  - - org.apache.xmpbox.type.Types

All Implemented Interfaces:
  Serializable, Comparable<Types>

    public enum Types
    extends Enum<Types>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AgentName`
`Boolean`
`CFAPattern`
`Choice`
`Colorant`
`Date`
`DefinedType`
`DeviceSettings`
`Dimensions`
`Flash`
`Font`
`GPSCoordinate`
`GUID`
`Integer`
`Job`
`LangAlt`
`Layer`
`Locale`
`MIMEType`
`OECF`
`Part`
`PDFAField`
`PDFAProperty`
`PDFASchema`
`PDFAType`
`ProperName`
`Rational`
`Real`
`RenditionClass`
`ResourceEvent`
`ResourceRef`
`Structured`
`Text`
`Thumbnail`
`URI`
`URL`
`Version`
`XPath`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Types` `getBasic()`
`Class<? extends AbstractField>` `getImplementingClass()`
`boolean` `isBasic()`
`boolean` `isDefined()`
`boolean` `isSimple()`
`boolean` `isStructured()`
`static Types` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Structured

    public static final Types Structured

#### DefinedType

    public static final Types DefinedType

#### Text

    public static final Types Text

#### Date

    public static final Types Date

#### Boolean

    public static final Types Boolean

#### Integer

    public static final Types Integer

#### Real

    public static final Types Real

#### GPSCoordinate

    public static final Types GPSCoordinate

#### ProperName

    public static final Types ProperName

#### Locale

    public static final Types Locale

#### AgentName

    public static final Types AgentName

#### GUID

    public static final Types GUID

#### XPath

    public static final Types XPath

#### Part

    public static final Types Part

#### URL

    public static final Types URL

#### URI

    public static final Types URI

#### Choice

    public static final Types Choice

#### MIMEType

    public static final Types MIMEType

#### LangAlt

    public static final Types LangAlt

#### RenditionClass

    public static final Types RenditionClass

#### Rational

    public static final Types Rational

#### Colorant

    public static final Types Colorant

#### Font

    public static final Types Font

#### Layer

    public static final Types Layer

#### Thumbnail

    public static final Types Thumbnail

#### ResourceEvent

    public static final Types ResourceEvent

#### ResourceRef

    public static final Types ResourceRef

#### Version

    public static final Types Version

#### PDFASchema

    public static final Types PDFASchema

#### PDFAField

    public static final Types PDFAField

#### PDFAProperty

    public static final Types PDFAProperty

#### PDFAType

    public static final Types PDFAType

#### Job

    public static final Types Job

#### OECF

    public static final Types OECF

#### CFAPattern

    public static final Types CFAPattern

#### DeviceSettings

    public static final Types DeviceSettings

#### Flash

    public static final Types Flash

#### Dimensions

    public static final Types Dimensions

### Method Detail

#### values

    public static Types[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types c : Types.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSimple

    public boolean isSimple()

#### isBasic

    public boolean isBasic()

#### isStructured

    public boolean isStructured()

#### isDefined

    public boolean isDefined()

#### getBasic

    public Types getBasic()

#### getImplementingClass

    public Class<? extends AbstractField> getImplementingClass()